Refunds API

Endpoints para retirements

Crea un reintegro

POST /internal/admin/refunds

Crear

Parameters

Name Description
resource_id Id del recurso
resource Tipo de recurso
amount Monto para la devolucion
notes Notas del admin
payment_data Informacion proporcionada por el usuario para hacer el reembolso

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

POST /internal/admin/refunds

Body

{"resource_id":12,"resource":"kriptostore","amount":10,"notes":"test","payment_data":"test"}

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"c794b9bc03415becb759c650ec88e5de"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 0ef0d281-6c18-4458-8307-92cec6a8dd43
X-Runtime: 0.031904
Vary: Origin
Content-Length: 291

Status

200 OK

Body

{
  "data": {
    "id": 2,
    "resource_type": "Kriptostore",
    "resource_id": 12,
    "returned_at": null,
    "amount": "10.0",
    "admin_id": 9999,
    "notes": "test",
    "status": "pending",
    "payment_data": "test",
    "created_at": "2023-03-30T00:51:23.074Z",
    "updated_at": "2023-03-30T00:51:23.074Z",
    "url_voucher_image": null,
    "tx_hash": null
  }
}